Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2569913003: [base::Time] Follow-up cl: Remove deprecated FromLocalExploded FromUTCExploded (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months, 2 weeks ago by maksims (do not use this acc)
Modified:
9 months ago
Reviewers:
hidehiko, halliwell, miu
CC:
chromium-reviews, oka+watch_chromium.org, yamaguchi+watch_chromium.org, fukino+watch_chromium.org, vmpstr+watch_chromium.org, fukino
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove deprecated FromLocalExploded and FromUTCExploded and modify left callers. BUG=601900 Committed: https://crrev.com/b15ce3fe194edc7abf68ad4587e7f0d141e7b2f5 Cr-Commit-Position: refs/heads/master@{#440061}

Patch Set 1 #

Patch Set 2 : fix "control can reach out of... " #

Total comments: 1

Patch Set 3 : fix chromecast #

Total comments: 2

Patch Set 4 : typo #

Patch Set 5 : rebased #

Messages

Total messages: 40 (28 generated)
maksims (do not use this acc)
https://codereview.chromium.org/2569913003/diff/20001/base/time/time.cc File base/time/time.cc (right): https://codereview.chromium.org/2569913003/diff/20001/base/time/time.cc#newcode241 base/time/time.cc:241: // This function must not fail. miu, How do ...
9 months, 2 weeks ago (2016-12-13 11:43:55 UTC) #9
maksims (do not use this acc)
+ halliwell@, please check chromecast
9 months, 2 weeks ago (2016-12-13 13:26:44 UTC) #16
halliwell
https://codereview.chromium.org/2569913003/diff/40001/chromecast/crash/linux/dump_info.cc File chromecast/crash/linux/dump_info.cc (right): https://codereview.chromium.org/2569913003/diff/40001/chromecast/crash/linux/dump_info.cc#newcode151 chromecast/crash/linux/dump_info.cc:151: return base::Time::FromLocalExploded(ex, &dump_); should be dump_time_
9 months, 2 weeks ago (2016-12-13 15:11:30 UTC) #19
hidehiko
+cc: fukino@. google_apis LGTM.
9 months, 2 weeks ago (2016-12-13 15:14:39 UTC) #20
maksims (do not use this acc)
https://codereview.chromium.org/2569913003/diff/40001/chromecast/crash/linux/dump_info.cc File chromecast/crash/linux/dump_info.cc (right): https://codereview.chromium.org/2569913003/diff/40001/chromecast/crash/linux/dump_info.cc#newcode151 chromecast/crash/linux/dump_info.cc:151: return base::Time::FromLocalExploded(ex, &dump_); On 2016/12/13 15:11:30, halliwell wrote: > ...
9 months, 2 weeks ago (2016-12-13 16:56:36 UTC) #23
halliwell
On 2016/12/13 16:56:36, maksims wrote: > https://codereview.chromium.org/2569913003/diff/40001/chromecast/crash/linux/dump_info.cc > File chromecast/crash/linux/dump_info.cc (right): > > https://codereview.chromium.org/2569913003/diff/40001/chromecast/crash/linux/dump_info.cc#newcode151 > ...
9 months, 2 weeks ago (2016-12-13 20:08:57 UTC) #26
miu
lgtm
9 months, 2 weeks ago (2016-12-13 20:23:57 UTC) #28
miu
Thanks for the clean-up! :)
9 months, 2 weeks ago (2016-12-13 20:24:14 UTC) #30
commit-bot: I haz the power
This CL has an open dependency (Issue 2090713003 Patch 480001). Please resolve the dependency and ...
9 months, 2 weeks ago (2016-12-13 20:24:49 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2569913003/80001
9 months ago (2016-12-21 06:26:49 UTC) #35
commit-bot: I haz the power
Committed patchset #5 (id:80001)
9 months ago (2016-12-21 09:31:09 UTC) #38
commit-bot: I haz the power
9 months ago (2016-12-21 09:33:45 UTC) #40
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/b15ce3fe194edc7abf68ad4587e7f0d141e7b2f5
Cr-Commit-Position: refs/heads/master@{#440061}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b